Bug Hunting Session
Bug 80467 - UI: "Element anchor" appears RTL aligned, with bad bidi braces in Hebrew UI version and possibly other RTL languages.
Summary: UI: "Element anchor" appears RTL aligned, with bad bidi braces in Hebrew UI v...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2014-06-24 09:35 UTC by Avihay
Modified: 2018-11-05 03:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
An image showing the English version on top vs the Hebrew version on bottom. the issue is easy to spot. (89.47 KB, image/png)
2014-06-24 09:35 UTC, Avihay
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Avihay 2014-06-24 09:35:04 UTC
Created attachment 101659 [details]
An image showing the English version on top vs the Hebrew version on bottom. the issue is easy to spot.

Problem description: 
"Element dock" appears RTL aligned, with bad bidi braces in the Hebrew UI version and possibly other RTL languages.
Steps to reproduce:
1. Open the "Math editor", or open sheets/writer and Insert->object->formula
2. go to the brackets, samples or any other category with formula that contains brackets in "Element dock"

Current behavior:
In the "Element dock" - 
Brackets direction is reversed, and most of the <?> elements are misspositioned (before a symbol, rather then after), also some symbols are mis-spaced.
In other the formulas are treated as if they are ment to be written RTL instead of LTR. It looks bad.

Expected behavior:
In the "Element anchor" - everything looks like the english version, possibly right aligned.
              
Operating System: Windows 7
Version: 4.2.4.2 release
Comment 1 Yousuf Philips (jay) (retired) 2015-02-25 23:57:30 UTC
Hello Avihay,

Thank you for submitting the bug. I can confirm that the bug is available in 4.4.0 on Windows 7 in Arabic and 4.3 daily on Linux.
Comment 2 Yousuf Philips (jay) (retired) 2015-02-25 23:58:01 UTC
Sorry used the wrong meta bug. :D
Comment 3 Yousuf Philips (jay) (retired) 2015-02-26 00:05:21 UTC
The sidebar was added in 4.1 and i can confirm the problem is in 4.1.6.
Comment 4 tommy27 2016-04-16 07:24:29 UTC Comment hidden (obsolete)
Comment 5 Omer Zak 2017-11-04 20:16:10 UTC
Still happens in:

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)

I tested using Hebrew UI.

To clarify a step to reproduce: open a new document using File > New > Formula (or, rather, the equivalent Hebrew translation).
Comment 6 QA Administrators 2018-11-05 03:43:26 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug